Spaces method and path for this operation:
Refer to Spaces for more information.
Update the Entity Store configuration without reinstalling. Send logExtraction to change log extraction settings. Omitting a log extraction field leaves it unchanged. Sending null for a log extraction field clears that override and reverts to the entity type default (for frequency: 1m for host and user, 10m for service, 30m for generic). Send historySnapshot.frequency to change the snapshot interval (at least 1 hour) and historySnapshot.retentionDays to change how long snapshots are kept. Omitting either history snapshot field leaves it unchanged. At least one of logExtraction, excludedUserNames or historySnapshot is required.
[Required authorization] Route required privileges: securitySolution.
curl -X PUT -H "kbn-xsrf: true" -H "Authorization: ApiKey ${API_KEY}" \
-H "Content-Type: application/json" \
-d '{"logExtraction":{"lookbackPeriod":"6h","frequency":"10m","fieldHistoryLength":15}}' \
"${KIBANA_URL}/api/security/entity_store"
PUT kbn://api/security/entity_store
{
"logExtraction": {
"lookbackPeriod": "6h",
"frequency": "10m",
"fieldHistoryLength": 15
}
}
curl -X PUT -H "kbn-xsrf: true" -H "Authorization: ApiKey ${API_KEY}" \
-H "Content-Type: application/json" \
-d '{"historySnapshot":{"frequency":"12h","retentionDays":90}}' \
"${KIBANA_URL}/api/security/entity_store"
PUT kbn://api/security/entity_store
{
"historySnapshot": {
"frequency": "12h",
"retentionDays": 90
}
}
{
"logExtraction": {
"delay": null,
"frequency": null
}
}
{
"historySnapshot": {
"frequency": "12h",
"retentionDays": 90
}
}
{
"logExtraction": {
"fieldHistoryLength": 15,
"frequency": "10m",
"lookbackPeriod": "6h"
}
}
{
"ok": true
}
{
"error": "Bad Request",
"message": "[request body]: logExtraction.frequency: must be a valid duration of at least 30 seconds (e.g. 1m, 30s)",
"statusCode": 400
}
{
"error": "Bad Request",
"message": "[request body]: historySnapshot.frequency: must be a valid duration of at least 1 hour (e.g. 1h, 24h)",
"statusCode": 400
}
{
"error": "Not Found",
"message": "Entity store is not installed",
"statusCode": 404
}